<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: BLOCK_SYNC_SM Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">BLOCK_SYNC_SM Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for BLOCK_SYNC_SM:</div>
<div class="dyncontent">
<div class="center"><img src="classBLOCK__SYNC__SM__inherit__graph.png" border="0" usemap="#BLOCK__SYNC__SM_inherit__map" alt="Inheritance graph"/></div>
<map name="BLOCK__SYNC__SM_inherit__map" id="BLOCK__SYNC__SM_inherit__map">
<area shape="rect" id="node2" href="classXGbEPCS32.html" title="XGbEPCS32" alt="" coords="53,80,152,107"/><area shape="rect" id="node3" href="classTCPIP__if.html" title="TCPIP_if" alt="" coords="5,229,80,256"/><area shape="rect" id="node5" href="classXGMII__serdes__wapper.html" title="XGMII_serdes_wapper" alt="" coords="80,155,245,181"/><area shape="rect" id="node4" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="60,379,151,405"/><area shape="rect" id="node6" href="classDaqLSCXG10G.html" title="DaqLSCXG10G" alt="" coords="104,229,221,256"/><area shape="rect" id="node7" href="classDAQLSCXG__if.html" title="DAQLSCXG_if" alt="" coords="101,304,211,331"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classBLOCK__SYNC__SM-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classBLOCK__SYNC__SM_1_1RTL.html">RTL</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Libraries"></a>
Libraries</h2></td></tr>
 <tr class="memitem:afd13b50585152f6756d196bf3f1c52ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd13b50585152f6756d196bf3f1c52ac"></a>
<a class="el" href="classBLOCK__SYNC__SM.html#afd13b50585152f6756d196bf3f1c52ac">UNISIM</a>&#160;</td><td class="memItemRight" valign="bottom"></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classBLOCK__SYNC__SM.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:af7dabcc6b22cfac21d9188de6b952c14"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af7dabcc6b22cfac21d9188de6b952c14"></a>
<a class="el" href="classBLOCK__SYNC__SM.html#af7dabcc6b22cfac21d9188de6b952c14">VCOMPONENTS</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:aa70403351f7572179a98cf8185d1fe08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa70403351f7572179a98cf8185d1fe08"></a>
<a class="el" href="classBLOCK__SYNC__SM.html#aa70403351f7572179a98cf8185d1fe08">SH_CNT_MAX</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">64</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:ae7b1aac458d0c11380470ecdfca82ed9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae7b1aac458d0c11380470ecdfca82ed9"></a>
<a class="el" href="classBLOCK__SYNC__SM.html#ae7b1aac458d0c11380470ecdfca82ed9">SH_INVALID_CNT_MAX</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">16</span> <span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:a2b9692743fc836049ba9d54ed777c097"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b9692743fc836049ba9d54ed777c097"></a>
<a class="el" href="classBLOCK__SYNC__SM.html#a2b9692743fc836049ba9d54ed777c097">BLOCKSYNC_OUT</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4fe80f86e0efa726cff226ab17dd3ed2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4fe80f86e0efa726cff226ab17dd3ed2"></a>
<a class="el" href="classBLOCK__SYNC__SM.html#a4fe80f86e0efa726cff226ab17dd3ed2">RXGEARBOXSLIP_OUT</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afdd1123909d8fc274d423d1425875aa6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afdd1123909d8fc274d423d1425875aa6"></a>
<a class="el" href="classBLOCK__SYNC__SM.html#afdd1123909d8fc274d423d1425875aa6">RXHEADER_IN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afe50e183f3dcb8c0ec420b68f6701066"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afe50e183f3dcb8c0ec420b68f6701066"></a>
<a class="el" href="classBLOCK__SYNC__SM.html#afe50e183f3dcb8c0ec420b68f6701066">RXHEADERVALID_IN</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a71320e9bb51b237ed0d4a0f527ce2775"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a71320e9bb51b237ed0d4a0f527ce2775"></a>
<a class="el" href="classBLOCK__SYNC__SM.html#a71320e9bb51b237ed0d4a0f527ce2775">USER_CLK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae2823c12ea9f5da6a10809ac21792353"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2823c12ea9f5da6a10809ac21792353"></a>
<a class="el" href="classBLOCK__SYNC__SM.html#ae2823c12ea9f5da6a10809ac21792353">SYSTEM_RESET</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="block__sync__sm_8vhd_source.html#l00070">70</a> of file <a class="el" href="block__sync__sm_8vhd_source.html">block_sync_sm.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common_10G/<a class="el" href="block__sync__sm_8vhd_source.html">block_sync_sm.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
